/**
 *	@File	This file basically use for all custom ajax call and javascript functionalities.
 */
jQuery(document).ready(function($){
	$('.edit').click(function(e){
		$('.term-edit').addClass('hide');
		$('.save').addClass('hide');
		$('.term-name').removeClass('hide');
		$('.edit').removeClass('hide');
		$(this).siblings('.save').removeClass('hide');
		$(this).addClass('hide');
		$(this).parent('td').siblings('td').children('.term-edit').removeClass('hide');
		$(this).parent('td').siblings('td').children('.term-name').addClass('hide');
		e.preventDefault();
	});
	$('.save').click(function(e){
		var current = $(this);
		$(this).siblings('.edit').removeClass('hide');
		$(this).addClass('hide');
		$(this).parent('td').siblings('td').children('.term-edit').addClass('hide');
		$(this).parent('td').siblings('td').children('.term-name').removeClass('hide');
		e.preventDefault();
		
		var termEditId = $(this).siblings('input[name="term-id"]').val();
		var classID = 'term-id-' + termEditId;
		var data = {
				action : 'fecm_update_term',
				termEditedName : $('.' + classID).val(),
				termEditId : termEditId
			};
		
		$.post( termAjax.ajaxurl, 
					data, 
					function( response ) {
						if ( 1 == response ) {
							alert( 'Updated successfully' );
							$('#' + classID).html($('.' + classID).val());
						} else if ( 0 == response ) {
							alert( 'You do not have sufficient permission' );
						}
					}
				);
	});
	$('.delete').click(function(e){
		e.preventDefault();
		
		var current_row = $(this).parent('td').parent('tr');
		var data = {
				action : 'fecm_delete_term',
				termEditId : $(this).siblings('input[name="term-id"]').val()
			};
	
		$.post( termAjax.ajaxurl, 
				data, 
				function( response ) {
					if ( 1 == response ) {
						alert( 'Deleted successfully' );
						current_row.remove();
					} else if ( 0 == response ) {
						alert( 'You do not have sufficient permission' );
					}
				}
			);
	});
	
});
